Note
Access to this page requires authorization. You can try signing in or changing directories.
Access to this page requires authorization. You can try changing directories.
Gets the item picture of the item in Business Central.
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline. The following example gets the default dimensions of the item entity in the response body.
GET businesscentralPrefix/companies({companyId})/items({itemId})/picture
Request header
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body (v1.0)
Do not supply a request body for this method.
Response (v1.0)
If successful, this method returns a 200 OK response code and the picture in the response body.
Example (v1.0)
Request
GET https://{businesscentralPrefix}/api/v1.0/companies({companyId})/items({itemId})/picture
Response
Here is an example of the response.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
{
"id": "d0e5d5da-795a-4924-b376-13665f794cdd",
"width": 500,
"height": 496,
"contentType": "image\jpeg",
"content@odata.mediaEditLink": "https:\\api.businesscentral.dynamics-tie.com\v1.0\api\beta\companies(55c438d0-2f5c-44a0-9965-20b4923d0bef)\items(d0e5d5da-795a-4924-b376-13665f794cdd)\picture(d0e5d5da-795a-4924-b376-13665f794cdd)\content",
"content@odata.mediaReadLink": "https:\\api.businesscentral.dynamics-tie.com\v1.0\api\beta\companies(55c438d0-2f5c-44a0-9965-20b4923d0bef)\items(d0e5d5da-795a-4924-b376-13665f794cdd)\picture(d0e5d5da-795a-4924-b376-13665f794cdd)\content"
}
Related information
Tips for working with the APIs
Items
Create item picture
Update item picture
Delete item picture